Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xquery
Interface NodeTest

All Known Implementing Classes:
  AnyNodeTest, TypeTest

public interface NodeTest

Method Summary
`QName` | `getName()`
`int` | `getType()`
`boolean` | `isWildcardTest()`
`boolean` | `matches(org.w3c.dom.Node node)`
`boolean` | `matches(NodeProxy proxy)`
`void` | `setType(int nodeType)`

Method Detail

### setType

    public void setType(int nodeType)

### getType

    public int getType()

### matches

    public boolean matches(NodeProxy proxy)

### matches

    public boolean matches(org.w3c.dom.Node node)

### isWildcardTest

    public boolean isWildcardTest()

### getName

    public QName getName()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.